package zkp;

/**
 * Interface to enable panels to send control signals to the GameFrame
 *
 * @author zsmb
 */
public interface GameFrameAccessProvider {

    /**
     * The available control signals
     * 
     * @author zsmb 
     */
    enum FrameSignal {
        Resume, Play, Stats, Menu, Exit,

        LevelComplete, LevelFailed,
    };

    /**
     * Sends a signal to the GameFrame
     * 
     * @param fs the FrameSignal to send
     */
    public void signal(FrameSignal fs);

}
