package zkp;

import zkp.GameFrameAccessProvider.FrameSignal;

/**
 * Entry point of the game, creates a GameFrame
 *
 * @author zsmb
 */
public class Main {

    /**
     * Creates a GameFrame
     * 
     * @param args command line arguments passed to the program, if two 
     */
    public static void main(String[] args) {
        int width = 480;
        int height = 825;
        
        try {
            if(args.length == 2) {
                width = Math.max(350, Integer.parseInt(args[0]));
                height = Math.max(700, Integer.parseInt(args[1]));
            }
        }
        catch(Exception e) {
            // If arguments were not numbers we're not interested
        }
        
        GameFrame gf = new GameFrame(width, height);
        gf.signal(FrameSignal.Menu);
    }

}
