package zkp;

/**
 * An interface provided by the MenuPanel to the Buttons it contains
 *
 * @author zsmb
 */
public interface MenuPanelAccessProvider {

    /**
     * The different kinds of signals that a Button can send upon being activated
     *
     * @author zsmb
     */
    enum MenuSignal {
        Resume, Play, Stats, Exit
    };

    /**
     * Sends a signal to the MenuPanel for processing
     * 
     * @param s the signal to send
     */
    public void signal(MenuSignal s);

    /**
     * Signals the MenuPanel that the menu screen should be repainted
     */
    public void requestRepaint();

}
