package zkp;

import java.awt.Graphics;

/**
 * The player's in-game ship
 *
 * @author zsmb
 */
public class PlayerShip extends GameObject {

    private static final long serialVersionUID = 7289586406241628982L;

    private static final int radius = 9; // Size of the ship for drawing
                                         // and calculating hits

    /**
     * PlayerShip ctor
     * 
     * @param x x position of the PlayerShip
     * @param y y position of the PlayerShip
     */
    public PlayerShip(double x, double y) {
        super(x, y);
    }

    /**
     * Getter function
     * 
     * @return the PlayerShip's radius
     */
    public double getRadius() {
        return (double) radius;
    }
    
    /**
     * Draws the PlayerShip on the screen
     * 
     * @param g the Graphics object to paint with
     */
    @Override
    public void paint(Graphics g) {
        GFX.circle(g, x, y, radius, 0x33FF33FF);
    }

    /**
     * Notifies the PlayerShip of time passing
     */
    @Override
    public boolean progress() {
        // The PlayerShip has to be able to be notified,
        // as it is a GameObject
        return false;
    }

}
