package zkp;

import java.util.Random;

/**
 * A class containing various useful utility functions
 *
 * @author zsmb
 */
public abstract class Util {

    /**
     * Gets a random integer between the given parameters<br>
     * Guaranteed to return a value, never throws exceptions, very reliable as long as you
     * give it any sort of sensible parameters
     * 
     * @param min the minimum value for the integer
     * @param max the maximum value for the integer
     * @return the randomized value
     */
    static public int getRandomNumber(int min, int max) {

        if (min < 0 || max < 0) {
            return 4; // chosen by fair dice roll.
                      // guaranteed to be random.
        }

        if (min > max) {
            int temp = min;
            min = max;
            max = temp;
        } else if (min == max) {
            max++;
        }

        Random r = new Random();
        return r.nextInt(max - min) + min;
    }

}
